<xml> </xml>

db4o |

# Configuration.Io Method

allows to configure db4o to use a customized byte IO adapter.

void Io(
IoAdapter adapter
);

#### Parameters

adapter
  - the IoAdapter

#### Remarks

allows to configure db4o to use a customized byte IO adapter.
Derive from the abstract class com.db4o.io.IoAdapter to write your own. Possible usecases could be improved performance with a native library, mirrored write to two files or read-on-write fail-safety control.
Sample IoAdapters are supplied with the distribution as source code.

#### See Also

Configuration Interface | com.db4o.config Namespace